ContentTranslation: integrate VisualEditor
Closed, ResolvedPublic160 Story Points

Description

dchan created this task.Jun 19 2017, 6:19 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 19 2017, 6:19 AM

Change 359902 had a related patch set uploaded (by Divec; owner: Divec):
[mediawiki/extensions/ContentTranslation@master] WIP: VisualEditor integration

https://gerrit.wikimedia.org/r/359902

dchan added a comment.Jun 19 2017, 6:56 AM

As mentioned in gerrit, the translation unit handling needs updating to take advantage of the rewritten transaction processing in VE.

Deskana updated the task description. (Show Details)Jun 19 2017, 11:39 AM
Nikerabbit updated the task description. (Show Details)Jun 19 2017, 6:08 PM
Nikerabbit added a subscriber: Nikerabbit.
Jdforrester-WMF set the point value for this task to 160.
Jdforrester-WMF triaged this task as High priority.
Deskana lowered the priority of this task from High to Normal.Jul 26 2017, 9:30 AM

Change 359902 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] VisualEditor integration

https://gerrit.wikimedia.org/r/359902

From talking with David, the remaining work requires landing T162762 (but not T56299?). Fun.

Jdforrester-WMF changed the point value for this task from 160 to 0.
Jdforrester-WMF changed the point value for this task from 0 to 160.
Arrbee closed this task as Resolved.Jun 25 2018, 10:51 AM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJun 25 2018, 10:51 AM

Content Translation version 2 already integrates Visual Editor editing surface. Although there are still tools to support and aspects to polish captured by other tickets, the main integration is working well. Thanks to everyone involved!